header {
  &.site-header {
    padding: 10px 0;
    background-color: #fff;

    .mobile-menu-trigger {
      display: none;
    }
  }
}

@media screen and (min-width: 768px) {
  header {
    &.site-header {
      ul {
        margin: 0;
        padding: 0;
        text-align: right;
        text-transform: uppercase;

        li {
          list-style: none;
          display: inline-block;
          position: relative;

          &.current-menu-item {
            a {
              color: #6f54e3;
            }
          }

          &.menu-item-has-children {
            & > a:after {
              margin-left: 10px;
              content: "\f078";
              display: inline-block;
              font-family: "Font Awesome 5 Free";
              font-style: normal;
              font-weight: 900;
              transition: 0.1s;
            }
          }

          ul {
            display: none;
            position: absolute;
            left: 0;
            top: 100%;
            background: #ffffff;
            z-index: 33;
            width: 180px;
            text-align: left;
            text-transform: initial;

            li {
              border-bottom: 1px solid #e9e9e9;
              display: block;

              a {
                //color: #ffffff;

                &:hover {
                  // color: #dddddd;
                }
              }

              &:last-child {
                border-bottom: none;
              }
            }
          }


          a {
            padding: 10px;
            display: block;
            color: #000000;
            font-weight: bold;
            text-decoration: none;

            &:hover {
              color: #6f54e3;
            }
          }

          &:hover {
            ul {
              display: block;
            }

            & > a:after {
              transform: rotate(180deg);
            }
          }
        }
      }
    }
  }
}

@media screen and (max-width: 900px) {
  header.site-header {
    .menu-area {
      ul {
        li {
          a {
            padding: 10px 6px;
          }
        }
      }
    }
  }

}

@media screen and (max-width: 767px) {

  header.site-header {
    .mobile-menu-trigger {
      display: block;
      text-align: right;

      .mobile-menu-btn {
        display: inline-block;
        width: 40px;
        height: 40px;
        //background-color: #ffc780;
        cursor: pointer;
        position: relative;

        & > span {
          display: block;
          width: 40px;
          height: 4px;
          background: #5e5195;
          transform: translateY(18px);
          border-radius: 3px;

          &:before, &:after {
            display: block;
            content: "";
            width: 40px;
            height: 4px;
            background: #5e5195;
            position: absolute;
            border-radius: 3px;
            transition: 0.2s;
          }

          &:before {
            top: -12px;
          }

          &:after {
            top: 12px;
          }
        }

        &:hover {
          span {
            &:before, &:after {
              // transform: scale(0.6, 1);
            }
          }
        }
      }
    }

    .site-branding {
      text-align: center;
    }

    .menu-area {
      display: none;
      background-color: #f1f0ff;
      margin: 15px 0;

      ul.menu {
        text-align: left;
        margin: 0;
        padding: 0;

        & > li {
          display: block;
          position: relative;

          &.menu-item-has-children {
            &:before {
              display: block;
              width: 45px;
              height: 45px;
              background-color: #a691ee;
              position: absolute;
              right: 0;
              z-index: 999;
              content: "\f078";
              font-family: "Font Awesome 5 Free";
              font-style: normal;
              font-weight: 900;
              transition: 0.2s;
              cursor: pointer;
              font-size: 31px;
              text-align: center;
              color: #fff;
            }
          }

          &.sub-menu-activated {
            &:before {
              transform: rotate(-180deg);
              border-radius: 100%;
            }
          }

          a {
            border-bottom: 1px solid #e2e0fe;
            padding: 10px 15px;
            display: block;
          }

          ul {
            margin: 0;
            padding: 0;
            display: none;

            li {
              list-style: none;
            }
          }
        }
      }
    }
  }
  body.mobile-menu-activated {
    .mobile-menu-btn {

      & > span {
        background-color: transparent !important;

        &:before, &:after {
          // transform: scale(0.6, 1);
        }

        &:before {
          top: 0 !important;
          transform: rotate(45deg) scale(0.6, 1);
        }

        &:after {
          top: 0 !important;
          transform: rotate(-45deg) scale(0.6, 1);
        }
      }
    }
  }
}

